Bug 890370 - PXE with inst.repo=nfs and inst.repo=nfsiso cause an Unknown error when LiveOS is present
Summary: PXE with inst.repo=nfs and inst.repo=nfsiso cause an Unknown error when LiveO...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-26 18:15 UTC by Ryan J Nicholson
Modified: 2014-02-05 14:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:12:16 UTC
Type: Bug


Attachments (Terms of Use)
anaconda log (3.73 KB, text/plain)
2013-03-01 06:36 UTC, Ryan J Nicholson
no flags Details
packaging log (1.01 KB, text/plain)
2013-03-01 06:39 UTC, Ryan J Nicholson
no flags Details

Description Ryan J Nicholson 2012-12-26 18:15:47 UTC
Description of problem:

If Fedora 18 Beta is used in a PXE boot configuration where inst.repo=nfs points to a directory containing both the Fedora .iso and LiveOS, an "Unknown error" dialog appears at graphical installer start that prevents installation.

This structure is used to enable HTTP installs in addition to NFS. This structure works with previous Fedora releases.


Version-Release number of selected component (if applicable):

Anaconda 18.29.2


How reproducible:


Steps to Reproduce:
1. Place LiveOS/squashfs.img in the same directory as Fedora-18-Beta-i386-DVD.iso.
2. Launch a PXE boot using inst.repo=nfs:server:/path/to/iso/
3. On graphical installer start, "An unknown error has occurred" appears.
  
Actual results:

The installer is prevented from installing.


Expected results:

The installer should use the .iso and ignore the LiveOS directory when passing inst.repo=nfs.


Additional info:

Fedora
├── 17
│   └── 32bit
│       ├── Fedora-17-i386-DVD.iso
│       ├── Fedora-17-i386-DVD.torrent
│       └── LiveOS
│           └── squashfs.img
├── 18
│   └── 32bit
│       ├── Fedora-18-Beta-i386-DVD.iso
│       ├── Fedora-18-Beta-i386-DVD.torrent
│       └── LiveOS
│           └── squashfs.img

LABEL fedora17-32bit-http
    MENU LABEL Install Fedora 17 - 32-bit (HTTP)
    KERNEL images/fedora/17/32bit/vmlinuz
    APPEND initrd=images/fedora/17/32bit/initrd.img inst.repo=http://192.168.2.100/dist/iso/Fedora/17/32bit

LABEL fedora17-32bit-nfs
    MENU LABEL Install Fedora 17 - 32-bit (NFS)
    KERNEL images/fedora/17/32bit/vmlinuz
    APPEND initrd=images/fedora/17/32bit/initrd.img inst.repo=nfs:192.168.2.100:/srv/dist/iso/Fedora/17/32bit

LABEL fedora18-32bit-http
    MENU LABEL Install Fedora 18 Beta - 32-bit (HTTP)
    KERNEL images/fedora/18/32bit/vmlinuz
    APPEND initrd=images/fedora/18/32bit/initrd.img inst.repo=http://192.168.2.100/dist/iso/Fedora/18/32bit

LABEL fedora18-32bit-nfs
    MENU LABEL Install Fedora 18 Beta - 32-bit (NFS)
    KERNEL images/fedora/18/32bit/vmlinuz
    APPEND initrd=images/fedora/18/32bit/initrd.img inst.repo=nfs:192.168.2.100:/srv/dist/iso/Fedora/18/32bit

Comment 1 Chris Lumens 2013-01-02 15:46:02 UTC
Can you attach /tmp/anaconda.log and /tmp/packaging.log to this bug report?  Thanks.

Comment 2 Ryan J Nicholson 2013-03-01 06:35:31 UTC
Updating with logs from Fedora 18 release (instead of Beta).

I get:

The installer has tried to mount the installation image, but cannot find it on the hard drive. / Should I try again to locate the image?

If I click "No" there is a brief pause before I get the "Unknown error" dialog again.

Comment 3 Ryan J Nicholson 2013-03-01 06:36:36 UTC
Created attachment 704065 [details]
anaconda log

Comment 4 Ryan J Nicholson 2013-03-01 06:39:40 UTC
Created attachment 704066 [details]
packaging log

Comment 5 Fedora End Of Life 2013-12-21 10:05:21 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2014-02-05 14:12:23 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.